Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
PKCS_EncryptionPaddingScheme Class Reference

EME-PKCS1-v1_5 More...

`#include <pkcspad.h>`

Inheritance diagram for PKCS_EncryptionPaddingScheme:

List of all members.

## Public Member Functions

size_t | MaxUnpaddedLength (size_t paddedLength) const
| max size of unpadded message in bytes, given max size of padded message in bits (1 less than size of modulus)
void | Pad (RandomNumberGenerator &rng, const byte *raw, size_t inputLength, byte *padded, size_t paddedLength, const NameValuePairs &parameters) const
DecodingResult | Unpad (const byte *padded, size_t paddedLength, byte *raw, const NameValuePairs &parameters) const
virtual bool | ParameterSupported (const char *name) const

## Static Public Member Functions

static const char * | StaticAlgorithmName ()

## Detailed Description

EME-PKCS1-v1_5

Definition at line 14 of file pkcspad.h.

The documentation for this class was generated from the following file:

- pkcspad.h